EVP_DES(3)

NAME
EVP_des_cbc, EVP_des_cfb, EVP_des_cfb1, EVP_des_cfb8, EVP_des_ecb, EVP_des_ede, EVP_des_ede_cfb, EVP_des_ede_ofb, EVP_des_ofb, EVP_des_ede3, EVP_des_ede3_cbc, EVP_des_ede3_cfb, EVP_des_ede3_cfb1, EVP_des_ede3_cfb8, EVP_des_ede3_ofb, EVP_des_ede3_wrap, EVP_des_ede_cbc - EVP DES cipher

SYNOPSIS
 #include <openssl/evp.h>

 const EVP_CIPHER *EVP_ciphername(void)

EVP_ciphername is used a placeholder for any of the described cipher functions, such as EVP_des_cbc.

DESCRIPTION
The DES encryption algorithm for EVP.

EVP_des_cbc(), EVP_des_ecb(), EVP_des_cfb(), EVP_des_cfb1(), EVP_des_cfb8(), EVP_des_ofb()
    DES in CBC, ECB, CFB with 128-bit shift, CFB with 1-bit shift, CFB with 8-bit shift and OFB modes respectively.

EVP_des_ede(), EVP_des_ede_cbc(), EVP_des_ede_ofb(), EVP_des_ede_cfb()
    Two key triple DES in ECB, CBC, CFB and OFB modes respectively.

EVP_des_ede3(), EVP_des_ede3_cbc(), EVP_des_ede3_cfb(), EVP_des_ede3_cfb1(), EVP_des_ede3_cfb8(), EVP_des_ede3_ofb()
    Three-key triple DES in ECB, CBC, CFB with 128-bit shift, CFB with 1-bit shift, CFB with 8-bit shift and OFB modes respectively.

EVP_des_ede3_wrap()
    Triple-DES key wrap according to RFC 3217 Section 3.

RETURN VALUES
These functions return an EVP_CIPHER structure that contains the implementation of the symmetric cipher. See EVP_CIPHER_meth_new(3) for details of the EVP_CIPHER structure.

SEE ALSO
evp(7), EVP_EncryptInit(3), EVP_CIPHER_meth_new(3)

COPYRIGHT
Copyright 2017 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the OpenSSL license (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.